<?php

namespace Ems\Util;

class Distancia {

    public static function getDistanceBetweenLocations(
        float $latitude1,
        float $longitude1,
        float $latitude2,
        float $longitude2
    ) {

        // Geokit Master
        // $localizacao1 = new \Geokit\Position($longitude1, $latitude1);

        // $localizacao2 = new \Geokit\Position($longitude2, $latitude2);
        
        // $distancia = round(\Geokit\distanceVincenty($localizacao1, $localizacao2)->meters(), 3);
        
        // Geokit v1.3.0
        $math = new \Geokit\Math();
        
        $distancia = round($math->distanceVincenty(array($latitude1, $longitude1), array($latitude2, $longitude2))->meters(), 3);

        return $distancia;
    }
}